.TH wxSplashScreen 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSplashScreen \- See external documentation: wxSplashScreen\&.
.SH DESCRIPTION
.LP
See external documentation: wxSplashScreen <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplashscreen\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxFrame 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSplashScreen()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxSplashScreen()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplashscreen\&.html#wxsplashscreenwxsplashscreen>\&.
.RE
.LP
.B
new(Bitmap::wxBitmap() (see module wxBitmap), SplashStyle::integer(), Milliseconds::integer(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxSplashScreen()
.br
.RS
.LP
Equivalent to new(Bitmap, SplashStyle, Milliseconds, Parent, Id, [])\&.
.RE
.LP
.B
new(Bitmap::wxBitmap() (see module wxBitmap), SplashStyle::integer(), Milliseconds::integer(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxSplashScreen()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplashscreen\&.html#wxsplashscreenwxsplashscreen>\&.
.RE
.LP
.B
getSplashStyle(This::wxSplashScreen()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplashscreen\&.html#wxsplashscreengetsplashstyle>\&.
.RE
.LP
.B
getTimeout(This::wxSplashScreen()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplashscreen\&.html#wxsplashscreengettimeout>\&.
.RE
.LP
.B
destroy(This::wxSplashScreen()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
